package com.uca.entity;

public class PokemonEntity {
    private int id;
    private PokedexEntity species;
    private String nickname;
    private int level;

    private UserEntity owner;

    public PokemonEntity() {
        //Ignored !
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public PokedexEntity getSpecies() {
        return species;
    }

    public void setSpecies(PokedexEntity species) {
        this.species = species;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public UserEntity getOwner() {
        return owner;
    }

    public void setOwner(UserEntity owner) {
        this.owner = owner;
    }
}
